//
//  ToDoItem.m
//  ToDoList
//
//  Created by Robert Berry on 29/10/2013.
//  Copyright (c) 2013 Robert Berry. All rights reserved.
//

#import "ToDoItem.h"

@implementation ToDoItem

#pragma mark NSCoding

#define kItemName       @"ItemName"
#define kCompleted      @"Completed"
#define kCreationDate   @"CreationDate"

-(void)encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.itemName forKey:kItemName];
    [aCoder encodeBool:self.completed forKey:kCompleted];
    [aCoder encodeObject:self.creationDate forKey:kCreationDate];
}

-(id)initWithCoder:(NSCoder *)aDecoder
{
    _itemName = [aDecoder decodeObjectForKey:kItemName];
    _completed = [aDecoder decodeBoolForKey:kCompleted];
    _creationDate = [aDecoder decodeObjectForKey:kCreationDate];
    return self;
}

@end
